<?php
 include "connect_db.php";                                              // Соединение с базой данных

$result = $conn->query("SELECT id_dht22 FROM dht22");                   
echo "Количество строк: $result->num_rows";                             // Вывод количества строк в таблице dht22
?>
<h3 align="center"><a href ="index.php">[Главная]</a> <a href ="hcsr501.php">[Датчик HC SR501]</a> [DHT22]</h3>
<?php
$page = 1;                                                              // 1 страница
if (isset($_GET['page'])){                                              // Создание переменной Страница из URL страницы
	$page = $_GET['page'];
}else $page = 1;


$count = 10;                                                             //количество записей для вывода
$all_rec = $result->num_rows;                                           //всего записей
$art = ($page * $count) - $count;
?>

<table  align=center width=700px>
<colgroup>
    <col span="1" style="background:Khaki">                         <!-- Фон первого столбца таблицы-->
    <col span="5" style="background-color:silver">                  <!-- Фон для следующего(следующих) столбца таблицы-->
</colgroup>
<caption><h3>Вывод информации с датчика DHT22</h3></caption>
  <tr align=center style="background:blue; color:white">
    <th>ID</th>
    <th>Дата</th>
    <th>Время</th>
    <th>Температура</th>
    <th>Влажность</th>
   </tr>

<?php 

$result=$conn->query("SELECT * FROM dht22 ORDER BY id_dht22 DESC LIMIT $art,$count");           // Вывод всех значений из таблицы dht22 с сортировкой по убыванию
while($myrow=$result->fetch_array(MYSQLI_ASSOC))
{
  $php_date = date("d/m/Y", strtotime($myrow['date_dht22']));     // Перевод даты в удобочитаемый формат
  $php_time = date("H:i:s", strtotime($myrow['date_dht22']));     // Вывод времени
    echo"<tr style='font-weight: 600;' align=center>";
    echo"<td>";
    echo $myrow['id_dht22'];
    echo"</td>";
    echo"<td>";
    echo $php_date;
    echo"</td>"; 
    echo"<td>";
    echo $php_time;
    echo"</td>"; 
    echo"<td>";
    echo $myrow['temp_dht22']."&degС";
    echo"</td>"; 
    echo"<td>";
    echo $myrow['hum_dht22']."%";
    echo"</td>";
    echo"</tr>";
    }
?>
</table>

<?php
echo "<div align='center'>Страница ";                                      // Вывод навигатора страниц
for ($i = 1; $i <= $all_rec/$count+1; $i++){
  echo "<a href=\dht22.php?page=".$i."> | ".$i." |</a>";
}
echo "</div>";
?>
<meta http-equiv="Refresh" content="10; URL=\dht22.php">                  <!-- Перезагружаем страницу раз в 10 секунд  -->